


<h1><a name="others" id="others">Others</a></h1>
<div class="level1">
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "Others" [1-22] -->
<h2><a name="languages" id="languages">Languages</a></h2>
<div class="level2">

<p>

<a href="http://www.curry-language.org/" class="urlextern" title="http://www.curry-language.org/"  rel="nofollow">Curry</a> - A Truly Integrated Functional Logic Language <br/>

<a href="http://golang.org/" class="urlextern" title="http://golang.org/"  rel="nofollow">Go</a> - A Systems Programming Language <br/>

<a href="http://meyerweb.com/eric/tools/s5/" class="urlextern" title="http://meyerweb.com/eric/tools/s5/"  rel="nofollow">S5</a> - A Simple Standards-Based Slide Show System <br/>

<a href="http://www.cplusplus.com/reference/" class="urlextern" title="http://www.cplusplus.com/reference/"  rel="nofollow">C++ Reference</a> <br/>

<a href="http://live.gnome.org/C%2B%2B%20resources" class="urlextern" title="http://live.gnome.org/C%2B%2B%20resources"  rel="nofollow">GNOME C++ Resources</a> <br/>

</p>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "Languages" [23-415] -->
<h2><a name="coding_and_style_standards" id="coding_and_style_standards">Coding and Style Standards</a></h2>
<div class="level2">

<p>

<a href="http://www.gnu.org/prep/standards/standards.html" class="urlextern" title="http://www.gnu.org/prep/standards/standards.html"  rel="nofollow">GNU C Coding Standards</a> <br/>

<a href="http://google-styleguide.googlecode.com/svn/trunk/cppguide.xml" class="urlextern" title="http://google-styleguide.googlecode.com/svn/trunk/cppguide.xml"  rel="nofollow">Google C++ Style Guide</a> <br/>

</p>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "Coding and Style Standards" [416-628] -->
<h2><a name="tools" id="tools">Tools</a></h2>
<div class="level2">

<p>
<a href="http://www.gnu.org/software/autoconf/" class="urlextern" title="http://www.gnu.org/software/autoconf/"  rel="nofollow">Autoconf GNU Project Page</a> - Extensible package of M4 macros that produce shell scripts to automatically configure software source code packages <br/>

<a href="http://www.gnu.org/software/automake/" class="urlextern" title="http://www.gnu.org/software/automake/"  rel="nofollow">Automake GNU Project Page</a> - Automatically generating `Makefile.in&#039; files compliant with the GNU Coding Standards <br/>

<a href="http://www.stack.nl/~dimitri/doxygen/index.html" class="urlextern" title="http://www.stack.nl/~dimitri/doxygen/index.html"  rel="nofollow">Doxygen Official Page</a> - Documentation system for C++, C, Java, Objective-C, Python, IDL (Corba and Microsoft flavors), Fortran, VHDL, <acronym title="Hypertext Preprocessor">PHP</acronym>, C#, and to some extent D <br/>

<a href="https://www.getdropbox.com/referrals/NTI2OTY0MTM5" class="urlextern" title="https://www.getdropbox.com/referrals/NTI2OTY0MTM5"  rel="nofollow">Dropbox</a> - Synchronizing files between multiple computers, backing of versions and allowing sharing and various other features. It&#039;s like Google Docs, but for any type of file and for folders <br/>

<a href="http://gnuwin32.sourceforge.net/" class="urlextern" title="http://gnuwin32.sourceforge.net/"  rel="nofollow">GnuWin32 Oficial Page</a> - Provides ports of tools with a GNU or similar open source license, to <acronym title="Microsoft">MS</acronym>-Windows <br/>

<a href="http://www.graphviz.org/About.php" class="urlextern" title="http://www.graphviz.org/About.php"  rel="nofollow">Graphviz Official Page</a> - Open source graph visualization software <br/>

<a href="http://www.mingw.org/" class="urlextern" title="http://www.mingw.org/"  rel="nofollow">MinGW Oficial Page</a> - Contraction of “Minimalist GNU for Windows”, is a port of the GNU Compiler Collection (GCC), and GNU Binutils, for use in the development of native Microsoft Windows applications <br/>

<a href="http://www.mingw.org/wiki/MSYS" class="urlextern" title="http://www.mingw.org/wiki/MSYS"  rel="nofollow">MSYS</a> - Contraction of “Minimal SYStem”, is a Bourne Shell command line interpreter system <br/>

<a href="http://www.brothersoft.com/google-book-downloader-290171.html" class="urlextern" title="http://www.brothersoft.com/google-book-downloader-290171.html"  rel="nofollow">Google Book Downloader</a> - Save google books <br/>

<a href="http://ninite.com/" class="urlextern" title="http://ninite.com/"  rel="nofollow">Ninite</a> - Group programs in one installer <br/>

<a href="http://sciencesoft.at/latex/flatex.gsp?lang=en" class="urlextern" title="http://sciencesoft.at/latex/flatex.gsp?lang=en"  rel="nofollow">Flash Latex</a> <br/>

</p>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "Tools" [629-2315] -->
<h2><a name="sites" id="sites">Sites</a></h2>
<div class="level2">

<p>

<a href="http://www.ted.com/" class="urlextern" title="http://www.ted.com/"  rel="nofollow">TED</a> - Ideas Worth Spreading <br/>

<a href="http://www.paris-26-gigapixels.com/index-fr.html" class="urlextern" title="http://www.paris-26-gigapixels.com/index-fr.html"  rel="nofollow">Paris 26 Gigapixels</a> <br/>

<a href="http://10minutemail.com/10MinuteMail/index.html" class="urlextern" title="http://10minutemail.com/10MinuteMail/index.html"  rel="nofollow">10 Minute Mail</a> - Temporary E-mail <br/>

<a href="http://hackaday.com/" class="urlextern" title="http://hackaday.com/"  rel="nofollow">Hack a Day</a> - Serves up fresh hacks each day, every day, and a special How-To hack each week <br/>

<a href="http://codepad.org/" class="urlextern" title="http://codepad.org/"  rel="nofollow">Codepad</a> - On-line compiler/interpreter <br/>

<a href="http://www.calendario2010.org/" class="urlextern" title="http://www.calendario2010.org/"  rel="nofollow">Calendário 2010</a> <br/>

<a href="http://kssilveira.pastebin.com/" class="urlextern" title="http://kssilveira.pastebin.com/"  rel="nofollow">Pastebin</a> - Collaborative Debugging Tool <br/>

<a href="http://www.pygments.com/colorize/" class="urlextern" title="http://www.pygments.com/colorize/"  rel="nofollow">Pygments</a> - Code Colorizer <br/>

</p>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "Sites" [2316-2942] -->
<h2><a name="music" id="music">Music</a></h2>
<div class="level2">

<p>

<a href="http://listen.grooveshark.com" class="urlextern" title="http://listen.grooveshark.com"  rel="nofollow">Grooveshark</a> - Online Radio <br/>

<a href="http://radiotime.com/" class="urlextern" title="http://radiotime.com/"  rel="nofollow">RadioTime</a> - Find and Listen to Talk, Music and Local Radio Online <br/>

</p>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "Music" [2943-3121] -->
<h2><a name="tutorial" id="tutorial">Tutorial</a></h2>
<div class="level2">

<p>

<a href="http://www.extremeprogramming.org/" class="urlextern" title="http://www.extremeprogramming.org/"  rel="nofollow">Xtreme Programing</a> <br/>

<a href="http://catb.org/~esr/faqs/hacker-howto.html" class="urlextern" title="http://catb.org/~esr/faqs/hacker-howto.html"  rel="nofollow">How To Be A Hacker</a> <br/>

<a href="http://maycon.hacknroll.com/?p=docs" class="urlextern" title="http://maycon.hacknroll.com/?p=docs"  rel="nofollow">Out Of Bound</a> - Tutorials about Buffer Overflow, Shellcode, etc. <br/>

<a href="/~kssilveira/site/lib/exe/fetch.php?media=doxygen_summary.pdf" class="media mediafile mf_pdf" title="doxygen_summary.pdf">Doxygen</a> <br/>

<a href="/~kssilveira/site/lib/exe/fetch.php?media=graphviz_summary.pdf" class="media mediafile mf_pdf" title="graphviz_summary.pdf">Graphviz</a> <br/>

<a href="http://ocw.mit.edu/OcwWeb/web/home/home/index.htm" class="urlextern" title="http://ocw.mit.edu/OcwWeb/web/home/home/index.htm"  rel="nofollow">MIT Open Source Ware</a> - Free Online Course Material <br/>

<a href="http://www.ws.binghamton.edu/fridrich/system.html" class="urlextern" title="http://www.ws.binghamton.edu/fridrich/system.html"  rel="nofollow">Rubik&#039;s Cube</a> - Solving in an average time of 17 seconds <br/>

<a href="http://www.speedcubing.com/f2l_crossbottom.html" class="urlextern" title="http://www.speedcubing.com/f2l_crossbottom.html"  rel="nofollow">Rubik&#039;s Cube</a> - Corners of first layer and edges of second layer <br/>

<a href="http://www.ws.binghamton.edu/fridrich/Mike/permute.html" class="urlextern" title="http://www.ws.binghamton.edu/fridrich/Mike/permute.html"  rel="nofollow">Rubik&#039;s Cube</a> - Permuting the last layer <br/>

<a href="http://www.ws.binghamton.edu/fridrich/Mike/orient.html" class="urlextern" title="http://www.ws.binghamton.edu/fridrich/Mike/orient.html"  rel="nofollow">Rubik&#039;s Cube</a> - Orienting the last layer <br/>

<a href="http://www.phrack.org/issues.html?id=14&amp;issue=49" class="urlextern" title="http://www.phrack.org/issues.html?id=14&amp;issue=49"  rel="nofollow">Phrack Magazine</a> - Smashing the stack for fun and profit <br/>

</p>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "Tutorial" [3122-4112] -->
<h2><a name="articles" id="articles">Articles</a></h2>
<div class="level2">

<p>

<a href="/~kssilveira/site/lib/exe/fetch.php?media=death_by_powerpoint.pdf" class="media mediafile mf_pdf" title="death_by_powerpoint.pdf">Alexei Kapterev, Death By Powerpoint (and how to fight it)</a> <br/>

<a href="/~kssilveira/site/lib/exe/fetch.php?media=portuguese_research.pdf" class="media mediafile mf_pdf" title="portuguese_research.pdf">Michael Athans, Portuguese Research Universities: Why not the best?</a> <br/>

<a href="/~kssilveira/site/lib/exe/fetch.php?media=return_oriented_programming.pdf" class="media mediafile mf_pdf" title="return_oriented_programming.pdf">Erik Buchanan, Ryan Roemer, Stefan Savage, Hovav Shacham, Return-oriented Programming: Exploitation without Code Injection</a> <br/>

</p>

<p>
<!-- [[|]] -->
</p>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "Articles" [4113-4502] -->
<h2><a name="games" id="games">Games</a></h2>
<div class="level2">

<p>
<a href="http://www.bbc.co.uk/science/humanbody/sleep/sheep/" class="urlextern" title="http://www.bbc.co.uk/science/humanbody/sleep/sheep/"  rel="nofollow">Sheep Dash!</a> - Test to see how fast are your reactions <br/>

<a href="http://nintendo8.com/toplist/more/" class="urlextern" title="http://nintendo8.com/toplist/more/"  rel="nofollow">Nintendo8.com</a> - Classic Nintendo 8-bit games online <br/>

</p>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "Games" [4503-4728] -->
<h2><a name="movies" id="movies">Movies</a></h2>
<div class="level2">

<p>
<a href="http://en.wikipedia.org/wiki/Pi_(film)" class="interwiki iw_wp" title="http://en.wikipedia.org/wiki/Pi_(film)">Pi</a> <br/>

<a href="http://en.wikipedia.org/wiki/Hitch_(film)" class="interwiki iw_wp" title="http://en.wikipedia.org/wiki/Hitch_(film)">Hitch</a> <br/>

<a href="http://en.wikipedia.org/wiki/Hackers_(film)" class="interwiki iw_wp" title="http://en.wikipedia.org/wiki/Hackers_(film)">Hackers</a> <br/>

<a href="http://en.wikipedia.org/wiki/Pirates_of_Silicon_Valley" class="interwiki iw_wp" title="http://en.wikipedia.org/wiki/Pirates_of_Silicon_Valley">Pirates of Silicon Valley</a> <br/>

<a href="http://en.wikipedia.org/wiki/Swordfish_(film)" class="interwiki iw_wp" title="http://en.wikipedia.org/wiki/Swordfish_(film)">Swordfish</a> <br/>

</p>
<div class="tags"><span>
	<a href="/~kssilveira/site/doku.php?id=tag:links&amp;do=showtag&amp;tag=tag%3Alinks" class="wikilink1" title="tag:links" rel="tag">links</a>
</span></div>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "Movies" [4729-] -->